diff --git a/deskutils/kdepim-addons/Makefile b/deskutils/kdepim-addons/Makefile
index af786230986d..1279fdfca7f0 100644
--- a/deskutils/kdepim-addons/Makefile
+++ b/deskutils/kdepim-addons/Makefile
@@ -1,6 +1,5 @@
 PORTNAME=	kdepim-addons
 DISTVERSION=	${KDE_APPLICATIONS_VERSION}
-PORTREVISION=	1
 CATEGORIES=	deskutils kde kde-applications
 
 MAINTAINER=	kde@FreeBSD.org
@@ -17,24 +16,23 @@ LIB_DEPENDS=	libassuan.so:security/libassuan \
 		libgpgmepp.so:security/gpgme-cpp \
 		libqgpgme.so:security/gpgme-qt@qt5
 
-USES=		cmake compiler:c++11-lib gettext grantlee:5 kde:5 \
-		pkgconfig qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lib gettext kde:6 pkgconfig qt:6 tar:xz \
+		xorg
 USE_KDE=	archive auth codecs completion config configwidgets coreaddons \
-		dbusaddons guiaddons i18n iconthemes itemmodels itemviews jobwidgets \
-		kdeclarative khtml kio parts prison service solid sonnet syntaxhighlighting \
-		textwidgets wallet widgetsaddons windowsystem xmlgui \
+		dbusaddons guiaddons i18n iconthemes itemmodels itemviews \
+		jobwidgets kdeclarative kio parts prison service solid sonnet \
+		syntaxhighlighting textwidgets wallet widgetsaddons \
+		windowsystem xmlgui \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadicalendar akonadicontacts akonadiimportwizard \
-		akonadimime akonadinotes calendarcore calendarsupport \
-		calendarutils contacts eventviews gapi grantleetheme \
-		gravatar holidays identitymanagement imap incidenceeditor \
-		kaddressbook kitinerary kontactinterface kpkpass libkdepim \
-		libkleo libksieve mailcommon mailimporter mailtransport \
-		messagelib mime pimcommon pimtextedit tnef
-USE_QT=		concurrent core dbus declarative gui location network printsupport testlib \
-		webchannel webengine widgets xml \
-		buildtools:build qmake:build
+		akonadimime calendarcore calendarsupport \
+		calendarutils contacts eventviews gapi grantleetheme gravatar \
+		holidays identitymanagement imap incidenceeditor kaddressbook \
+		kitinerary kontactinterface kpkpass libkdepim libkleo \
+		libksieve mailcommon mailimporter mailtransport messagelib \
+		mime pimcommon pimtextedit tnef
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/deskutils/kdepim-addons/distinfo b/deskutils/kdepim-addons/distinfo
index 4a800f3c18c7..fb47d9176efa 100644
--- a/deskutils/kdepim-addons/distinfo
+++ b/deskutils/kdepim-addons/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889441
-SHA256 (KDE/release-service/23.08.5/kdepim-addons-23.08.5.tar.xz) = 58d3e9af2666fe971b5230fed61114c555c9bddc35fd8397cb60ba8d37dd44b0
-SIZE (KDE/release-service/23.08.5/kdepim-addons-23.08.5.tar.xz) = 2652304
+TIMESTAMP = 1734460052
+SHA256 (KDE/release-service/24.12.0/kdepim-addons-24.12.0.tar.xz) = 68f0c8f1188695f9eb0530951aa15e3740ab49e1af9c46537e8af11f055687e8
+SIZE (KDE/release-service/24.12.0/kdepim-addons-24.12.0.tar.xz) = 2617728
